<h1 class="text-2xl font-medium mb-4">Introduction</h1>

<p class="mb-3">This validator checks a URL for several standards that are <a class="text-blue-600 underline hover:no-underline" href="https://forumstandaardisatie.nl/open-standaarden/verplicht" target="_blank" rel="nofollow">required for Dutch government websites</a>.</p>

<p class="mb-1.5">The following checks are implemented:</p>

<ul class="list-disc pl-10 mb-7">
  <li><a class="text-blue-600 underline hover:no-underline" href="#SPF">SPF</a></li>
  <li><a class="text-blue-600 underline hover:no-underline" href="#DMARC">DMARC</a></li>
  <li><a class="text-blue-600 underline hover:no-underline" href="#DKIM">DKIM</a></li>
  <li><a class="text-blue-600 underline hover:no-underline" href="#TLS">TLS</a></li>
  <li><a class="text-blue-600 underline hover:no-underline" href="#DNSSEC">DNSSEC</a></li>
  <li><a class="text-blue-600 underline hover:no-underline" href="#security-response-headers">Security headers (HTTP response headers)</a>, as recommended in the <a class="text-blue-600 underline hover:no-underline" href="https://www.cip-overheid.nl/media/clkmwp3x/20200720-ssd-normen-v30.pdf" target="_blank" rel="nofollow">SSD v3.0 norms</a></li>
</ul>


<div class="p-4 pt-3 bg-sky-50 border rounded-md border-sky-200">
  <h1 class="text-2xl font-medium mb-5">Validate your URL</h1>

  <form method="GET" action="/validate" hx-get="/validate" hx-push-url="true" hx-target="#results">
    <div class="mb-5">
      <label for="url" class="block mb-2 text-sm font-medium text-slate-900">URL</label>
      <input id="url" type="text" name="url"
        class="bg-white border border-slate-300 text-slate-900 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 autofill:bg-white"
        value="{{.url}}" placeholder="https://example.com/" required autofocus>
    </div>

    <button type="submit" id="submit-button"
      class="text-sky-950 bg-sky-400 border border-sky-500 hover:bg-sky-300 hover:border-sky-400 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm sm:w-auto px-5 py-2.5">
      Validate
      <div class="loading-indicator align-middle -my-2">
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0" y="0"
          width="24px" height="24px" viewBox="0 0 50 50" style="enable-background:new 0 0 50 50;" xml:space="preserve">
          <path fill="#fff"
            d="M25.251,6.461c-10.318,0-18.683,8.365-18.683,18.683h4.068c0-8.071,6.543-14.615,14.615-14.615V6.461z">
            <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 25 25" to="360 25 25"
              dur="0.6s" repeatCount="indefinite" />
          </path>
        </svg>
      </div>
    </button>
  </form>

</div>
